/*
COLORS

Green: #308446;
*/

:root {
    --sign-green: #308446;
    --caution-yellow: #FFE328;
    --error-red: #f62c19;
    --dark-grey: #404742;
    --white: #FFFFFF;
}

html, body {
    color: var(--dark-grey);
    font-family: 'Raleway', sans-serif;
    font-weight: 400;
}

* {
    box-sizing: border-box;
    color: var(--dark-grey);
    font-family: 'Raleway', sans-serif;
    font-weight: 400;
}

.show-desktop {
    display: none;
}

h1, h2, h4 {
    font-family: 'Overpass', sans-serif;
    font-weight: 700;
    text-transform: uppercase;
}

h1 {
    font-size: 56px;
    margin-bottom: 42px;
}

h2 {
    color: var(--sign-green);
    font-size: 32px;
    font-weight: 500;
    line-height: 48px;
    margin-bottom: 36px;
    text-align: center;
}

h3 {
    color: var(--sign-green);
    font-size: 28px;
    font-weight: 400;
    margin-bottom: 36px;
}

h4 {
    font-size: 16px;
    font-weight: 400;
    margin-bottom: 2px;
}

p, a, span {
    font-size: 18px;
    line-height: 28px;
}

p {
    margin-bottom: 24px;
}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

i {
    font-style: italic;
}

b, .bold {
    font-weight: 700;
}

.bold>span {
    font-weight: 300;
}

.container {
    max-width: 880px;
    margin: 0 auto;
    padding: 0 20px;
    width: 100%;
}

nav {
    background-color: var(--sign-green);
    color: var(--white);
    height: 60px;
    width: 100vw;
}

nav .brand {
    display: block;
    width: 100%;
}

nav .logo {
    display: block;
    height: 100px;
    margin: 4px auto 0;
}

nav .link {
    color: var(--white);
    font-family: 'Overpass', sans-serif;
    text-decoration: none;
    text-transform: uppercase;
}

nav .menu {
    display: none;
}

.button {
    align-items: center;
    background-color: var(--sign-green);
    border: none;
    border-radius: 4px;
    color: var(--white);
    display: inline-flex;
    font-family: Overpass, sans-serif;
    font-size: 20px;
    font-weight: 500;
    line-height: 20px;
    padding: 11px 24px 7px;
    text-decoration: none;
    text-transform: uppercase;
    transition: background-color .3s;
}

.button:hover {
    background-color: var(--dark-grey);
}

.text-link {
    align-items: center;
    color: var(--sign-green);
    display: inline-flex;
    font-family: Overpass, sans-serif;
    font-size: 20px;
    font-weight: 500;
    line-height: 20px;
    padding: 11px 0 7px;
    text-decoration: none;
    text-transform: uppercase;
}

.text-link.secondary {
    color: var(--dark-grey);
}

.button+.text-link {
    display: inline-flex;
    margin: 0 0 0 12px;
}

section {
    margin-top: 60px;
}

section * {
    text-align: center;
}

section p {
    color: var(--dark-grey);
}

section .text-link {
    display: block;
    font-weight: 700;
    margin: 0 auto;
}

.call-out {
    background-color: var(--caution-yellow);
    padding: 60px 0;
}

.call-out *:not(.button) {
    color: var(--dark-grey);
}

.author-photo {
    margin-bottom: 24px;
}

.author-text * {
    text-align: left;
}

#advanced_praise .info * {
    text-align: left;
}

#advanced_praise .info a {
    text-decoration: underline;
}

section form * {
    text-align: left;
}

section form .brandingLogo {
    margin-top: 24px;
    text-align: center;
}

.mc-field-group,
.field-group {
    margin-bottom: 24px;
}

.indicates-required {
    height: 0;
    visibility: hidden;
}

form .button {
    width: 154px;
}

form .button.contact-us {
    width: 174px;
}

footer {
    background-color: var(--sign-green);
    margin-top: 60px;
    padding: 24px 0;
}

footer * {
    color: var(--white);
}

footer img {
    float: right;
    height: 72px;
}

footer span {
    font-size: 12px;
}

footer .flex {
    justify-content: space-between;
    margin-bottom: 24px;
}

.insta-link {
    display: block;
    height: 32px;
    margin-top: 12px;
    width: 32px;
}

.insta-link img {
    height: auto;
    width: 100%;
}

.attr {
    font-style: italic;
}

/* HERO */
.hero {
    align-items: center;
    background-image: url(./public/images/hero-home-mobile.png);
    background-position: top center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    min-height: 600px;
    margin-top: 60px;
    position: relative;
}

.hero-takeover {
    background-image: url(./public/images/hero-home-mobile.png);
    background-position: top center;
    background-repeat: no-repeat;
    background-size: 150vw auto;
    min-height: 80vh;
    margin-top: 60px;
    position: relative;
}

.hero-takeover section * {
    text-align: left;
}

.hero-takeover .container {
    max-width: 1200px;
}

.hero-takeover h2 {
    color: var(--dark-grey);
    font-size: 36px;
    font-weight: 700;
    line-height: 36px;
    text-align: left;
}

.hero-takeover .author-name {
    font-size: 32px;
    font-weight: 400;
    text-transform: none;
}

.hero-takeover p>span {
    white-space: nowrap;
}

.hero .container {
    text-align: center;
}

.hero h2 {
    background-color: var(--caution-yellow);
    border-radius: 4px;
    color: var(--dark-grey);
    display: inline-block;
    font-size: 36px;
    font-weight: 700;
    margin: 0 auto;
    padding: 12px 24px 4px;
    text-align: center;
}

.hero+.call-out {
    margin-top: 0;
}

.title-text {
    align-items: center;
    display: flex;
    flex-direction: column;
    height: 130vw;
}

.title-text .text-img {
    display: block;
    margin: 90px auto 120px;
}

.title-text .text-img.show-desktop {
    display: none;
}

.title-text p {
    background-color: #ffe328;
    font-weight: 400;
    padding: 20px;
    translate: 0 -30px;
}

blockquote {
    background-color: var(--sign-green);
    margin-bottom: 24px;
    padding: 24px;
}

section blockquote * {
    color: var(--white) !important;
}

blockquote *:last-child {
    margin-bottom: 0;
}

blockquote p {
    margin-bottom: 16px;
}

p .subtext {
    display: block;
    font-size: 12px;
    line-height: 16px;
}

@media (min-width: 700px) {
    .hero-takeover {
        background-size: 100vw auto;
    }

    .title-text {
        height: 90vw;
    }

    form {
        margin: 0 auto;
        max-width: 480px;
    }
}

@media (min-width: 900px) {
    .hide-desktop {
        display: none;
    }

    .show-desktop {
        display: block;
    }

    .title-text {
        height: auto;
        width: 40%;
    }

    .hero-text {
        margin-right: 2%;
        margin-top: 0;
        width: 58%;
    }

    .hero-text>div {
        background-color: rgb(240 248 255 / 47%);
        padding: 24px 0 16px 16px;
    }
    .hero-text>div {
        background-color: rgb(255 255 255 / 50%);
        padding: 24px 0 16px 16px;
    }

    .hero-text p,
    .hero-text span {
        font-size: 16px;
        font-weight: 500;
        line-height: 24px;
    }

    .hero-takeover .flex {
        align-items: center;
    }

    .hero-takeover {
        background-image: url(./public/images/gradient.jpeg);
        background-size: cover;
        min-height: 0;
    }

    .hero-takeover h2 {
        margin-bottom: 2px;
    }

    .hero-takeover blockquote,
    .hero-takeover p {
        max-width: calc(100% - 16px);
    }

    .hero-takeover blockquote {
        background-color: transparent;
        padding: 0;
    }

    .hero-takeover blockquote p {
        margin-bottom: 12px;
        max-width: 100%;
    }

    .hero-takeover section blockquote * {
        color: var(--dark-grey);
    }

    .hero-takeover h4 {
        font-size: 22px;
        font-weight: 700;
        margin-bottom: 16px;
    }

    .title-text .text-img {
        margin: 0 auto 0;
    }

    .title-text .text-img.hide-desktop {
        display: none;
    }

    .title-text .text-img.show-desktop {
        display: block;
        height: 520px;
        margin: 30px 0 12px;
    }

    .title-text p {
        font-family: Overpass, sans-serif;
        font-weight: 700;
        margin-top: 50px;
        padding: 12px 12px 8px;
        text-transform: uppercase;
    }

    .author-photo {
        width: 380px;
    }

    nav .logo {
        height: 60px;
        margin: 28px 0 0;
    }

    nav .menu {
        align-items: center;
        display: flex;
    }

    nav .menu .insta-link {
        margin-top: 0;
    }

    nav .container {
        align-items: center;
        display: flex;
        height: 60px;
        max-width: 1200px;
    }

    .menu .link {
        white-space: nowrap;
    }

    .menu {
        text-align: right;
        width: 230px;
    }
}